Bug 223304 - java/javavmwrapper: wrapper script uses 1.9 for JDK 9
Summary: java/javavmwrapper: wrapper script uses 1.9 for JDK 9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-29 12:30 UTC by Michael Osipov
Modified: 2019-07-26 18:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (glewis)


Attachments
Patch to fix 1.9 to 9 and added 11 & 12 (2.16 KB, patch)
2019-05-23 21:34 UTC, Tommy P
no flags Details | Diff
Updated to remove 1.5[+] from man pages (3.69 KB, patch)
2019-05-23 22:18 UTC, Tommy P
no flags Details | Diff
Updated patch to match latest proposed patch for BR 237054 (4.58 KB, patch)
2019-05-30 01:17 UTC, Tommy P
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2017-10-29 12:30:35 UTC
Recently released 2.6 version refers to Java version 1.9, though Oracle has officially dropped the internal 1.x naming with Java 9. All internal and external versions are 9, 10, etc. There is no Java 1.9. Please reflect this in the script with an internal update.
Comment 1 Tommy P 2019-05-23 21:34:03 UTC
Created attachment 204577 [details]
Patch to fix 1.9 to 9 and added 11 & 12

Please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237054
Comment 2 Michael Osipov 2019-05-23 22:04:06 UTC
I'd drop 1.9/9 altogether because we don't have it anyway.
Comment 3 Tommy P 2019-05-23 22:18:51 UTC
Created attachment 204579 [details]
Updated to remove 1.5[+] from man pages
Comment 4 Tommy P 2019-05-23 22:41:27 UTC
(In reply to Michael Osipov from comment #2)
I still see in the ports:

drwxr-xr-x  2 root  wheel  512 May 11 15:38 java/linux-oracle-jdk9/
drwxr-xr-x  2 root  wheel  512 May 22 03:38 java/linux-oracle-jre9/
Comment 5 Michael Osipov 2019-05-24 06:52:54 UTC
(In reply to Tommy P from comment #4)

This port is out of support and needs to be removed. Java 9 is dead. I don't see a reason to have this in the ports tree.
Comment 6 Tommy P 2019-05-30 01:17:49 UTC
Created attachment 204710 [details]
Updated patch to match latest proposed patch for BR 237054

root@d-fbsd:/usr/local/etc # cat javavms
/usr/local/openjdk11/bin/java
/usr/local/openjdk12/bin/java
/usr/local/openjdk8/bin/java

root@d-fbsd:/usr/local/etc # setenv JAVA_VERSION 1.8 && java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-b04)
OpenJDK 64-Bit Server VM (build 25.212-b04, mixed mode)

root@d-fbsd:/usr/local/etc # setenv JAVA_VERSION 1.8+ && java -version
openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+7-2)
OpenJDK 64-Bit Server VM (build 11.0.3+7-2, mixed mode)

root@d-fbsd:/usr/local/etc # setenv JAVA_VERSION 12+ && java -version
openjdk version "12" 2019-04-16
OpenJDK Runtime Environment (build 12+12-2)
OpenJDK 64-Bit Server VM (build 12+12-2, mixed mode)

root@d-fbsd:/usr/local/etc # unsetenv JAVA_VERSION && java -version
openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+7-2)
OpenJDK 64-Bit Server VM (build 11.0.3+7-2, mixed mode)
Comment 7 commit-hook freebsd_committer 2019-07-26 18:35:11 UTC
A commit references this bug:

Author: glewis
Date: Fri Jul 26 18:35:06 UTC 2019
New revision: 507366
URL: https://svnweb.freebsd.org/changeset/ports/507366

Log:
  Support for newer Java versions

  * Switch the internal fallback logic (which is only run when the ports
    system is absent) to use modern Java versioning (e.g. 9 rather than 1.9)
  * Add in support for specifying 10+, 11+ and 12+ as requested versions.
  * Bump version to 2.7

  Notes:

  * The fallback logic doesn't support the idea of a default version the way
    bsd.java.mk does.  This was already the case.
  * The sorting of VMs in the configuration file doesn't numerically sort
    versions 10 and higher correctly yet.  This will be addressed shortly.
  * Manual pages need updating.
  * The fallback logic is only used if bsd.java.mk is absent.  This should
    be a no-op if it is present.

  PR:		223304

Changes:
  head/java/javavmwrapper/Makefile
  head/java/javavmwrapper/src/javavmwrapper.sh
Comment 8 commit-hook freebsd_committer 2019-07-26 18:56:15 UTC
A commit references this bug:

Author: glewis
Date: Fri Jul 26 18:55:52 UTC 2019
New revision: 507367
URL: https://svnweb.freebsd.org/changeset/ports/507367

Log:
  Update manual pages

  * Update currently supported version specifiers.
  * Update currently supported vendors.
  * Bump minor version.

  This is mostly based on the patch in PR 223304.

  PR:		223304
  Submitted by:	Tommy P <tommyhp2@gmail.com>

Changes:
  head/java/javavmwrapper/Makefile
  head/java/javavmwrapper/src/javavm.1
  head/java/javavmwrapper/src/manvm.1
Comment 9 Greg Lewis freebsd_committer 2019-07-26 18:58:08 UTC
The last two commits address this.  Although 1.9 is still supported, internally "9" is used to determine the version.  I've also committed the manual page changes from Tommy P.